osmo_stat_item Struct Reference
Statistics value item

data we keep for each actual item More...

`#include <stat_item.h>`

## Data Fields

const struct osmo_stat_item_desc * | desc
| back-reference to the item description More...
int32_t | last_value_index
| the index of the freshest value More...
int16_t | last_offs
| offset to the freshest value in the value FIFO More...
struct osmo_stat_item_value | values [0]
| value FIFO More...

## Detailed Description

data we keep for each actual item

## Field Documentation

## desc

const struct osmo_stat_item_desc* osmo_stat_item::desc

back-reference to the item description

Referenced by osmo_stat_item_get_next(), osmo_stat_item_group_alloc(), osmo_stat_item_handler(), and osmo_stat_item_set().

## last_offs

int16_t osmo_stat_item::last_offs

offset to the freshest value in the value FIFO

Referenced by osmo_stat_item_discard(), osmo_stat_item_get_last(), osmo_stat_item_get_next(), osmo_stat_item_group_alloc(), and osmo_stat_item_set().

## last_value_index

int32_t osmo_stat_item::last_value_index

the index of the freshest value

Referenced by osmo_stat_item_group_alloc().

## values

struct osmo_stat_item_value osmo_stat_item::values[0]

value FIFO

Referenced by osmo_stat_item_discard(), osmo_stat_item_get_last(), osmo_stat_item_get_next(), osmo_stat_item_group_alloc(), and osmo_stat_item_set().

The documentation for this struct was generated from the following file:

- include/osmocom/core/stat_item.h